Cocoon
  1. Cocoon
  2. COCOON-2322

PrepareWebappMojo statically defines injected dependencies versions

    Details

    • Type: Bug Bug
    • Status: Closed
    • Priority: Major Major
    • Resolution: Fixed
    • Affects Version/s: None
    • Fix Version/s: None
    • Component/s: - Build System: Maven
    • Labels:
      None
    • Affects version (Component):
      Maven Cocoon Plugin - 1.0.0
    • Fix version (Component):
      Maven Cocoon Plugin

      Description

      PrepareWebappMojo [1] defines constants LIB_VERSION_WRAPPER and LIB_VERSION_SPRING_RELOADER for cocoon-rcl-webapp-wrapper and cocoon-rcl-spring-reloader respectively.
      Isn't there any better way (i.e. via pom.xml) to define such versions, or even better whole dependency info sets?

      [1] https://svn.apache.org/repos/asf/cocoon/subprojects/cocoon-maven-plugin/trunk/src/main/java/org/apache/cocoon/maven/rcl/PrepareWebappMojo.java

        Activity

        Francesco Chicchiriccò created issue -
        Francesco Chicchiriccò made changes -
        Field Original Value New Value
        Assignee Francesco Chicchiriccò [ ilgrosso ]
        Francesco Chicchiriccò made changes -
        Status Open [ 1 ] Closed [ 6 ]
        Resolution Fixed [ 1 ]

          People

          • Assignee:
            Francesco Chicchiriccò
            Reporter:
            Francesco Chicchiriccò
          • Votes:
            0 Vote for this issue
            Watchers:
            1 Start watching this issue

            Dates

            • Created:
              Updated:
              Resolved:

              Development